// creator  : weidu.exe (version 23100)
// argument : HAERD25J.DLG
// game		 : .
// source	 : ./DATA/25DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~HAERD25J~

IF ~~ THEN BEGIN 0 // from:
  SAY #67905 /* ~Ahhh, my friends... notice the dramatic pause in the good lady's conversation before she delivers this chilling news.  What stylish flair!  She has graced the stage in her past, I'll warrant.~ */
  IF ~!IsValidForPartyDialog("Aerie")~ THEN EXTERN ~SARMEL01~ 46
  IF ~IsValidForPartyDialog("Aerie")~ THEN EXTERN ~AERIE25J~ 6
END

IF ~~ THEN BEGIN 1 // from: FINSOL01:27.16 EDWIN25J:0.16
  SAY #67907 /* ~A life on the planes as a new power?  'Tis not a life for everyone, my raven.  No matter how powerful you assume yourself to be, there is always another stronger... and in the planes, this is doubly so.~ [HAER2517] */
  IF ~~ THEN GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #67908 /* ~But either way your adventure continues, does it not?  I envy your position, truly.  Naturally, I'd like it best to join you in your future travels, but if it's not meant to be I'll bid you fond farewell, certainly.~ */
  IF ~True()~ THEN EXTERN ~FINSOL01~ 28
  IF ~IsValidForPartyDialog("Valygar")
Global("ValygarRomanceActive","GLOBAL",2)~ THEN EXTERN ~VALYG25J~ 3
  IF ~IsValidForPartyDialog("Anomen")
Global("AnomenRomanceActive","GLOBAL",2)~ THEN EXTERN ~ANOME25J~ 11
  IF ~IsValidForPartyDialog("Viconia")
Global("ViconiaRomanceActive","GLOBAL",2)~ THEN EXTERN ~VICON25J~ 8
  IF ~IsValidForPartyDialog("Aerie")
Global("AerieRomanceActive","GLOBAL",2)~ THEN EXTERN ~AERIE25J~ 9
  IF ~IsValidForPartyDialog("Jaheira")
Global("JaheiraRomanceActive","GLOBAL",2)~ THEN EXTERN ~JAHEI25J~ 9
  IF ~IsValidForPartyDialog("Valygar")
!Global("ValygarRomanceActive","GLOBAL",2)~ THEN EXTERN ~VALYG25J~ 2
  IF ~IsValidForPartyDialog("Anomen")
!Global("AnomenRomanceActive","GLOBAL",2)~ THEN EXTERN ~ANOME25J~ 10
  IF ~IsValidForPartyDialog("Viconia")
!Global("ViconiaRomanceActive","GLOBAL",2)~ THEN EXTERN ~VICON25J~ 6
  IF ~IsValidForPartyDialog("Aerie")
!Global("AerieRomanceActive","GLOBAL",2)~ THEN EXTERN ~AERIE25J~ 7
  IF ~IsValidForPartyDialog("Jaheira")
!Global("JaheiraRomanceActive","GLOBAL",2)~ THEN EXTERN ~JAHEI25J~ 7
  IF ~IsValidForPartyDialog("Imoen2")~ THEN EXTERN ~IMOEN25J~ 15
  IF ~IsValidForPartyDialog("Sarevok")
!Alignment("Sarevok",MASK_EVIL)~ THEN EXTERN ~SAREV25J~ 2
  IF ~IsValidForPartyDialog("Sarevok")
Alignment("Sarevok",MASK_EVIL)~ THEN EXTERN ~SAREV25J~ 3
  IF ~IsValidForPartyDialog("Minsc")~ THEN EXTERN ~MINSC25J~ 0
  IF ~IsValidForPartyDialog("Nalia")~ THEN EXTERN ~NALIA25J~ 1
END

IF ~~ THEN BEGIN 3 // from:
  SAY #70379 /* ~Truly, captivity has not tamed this shrew!  Perhaps there is an idea for a play in this...~ */
  IF ~~ THEN EXTERN ~YAGCON~ 8
END

IF ~~ THEN BEGIN 4 // from:
  SAY #70390 /* ~Recognized by strangers in the street - the ravens must already sing poems of your exploits, my friend.  Soon you will be the most famous <PRO_RACE> in the Realms... if you survive, of course.~ */
  IF ~~ THEN EXTERN ~AMMONK02~ 4
  IF ~IsValidForPartyDialog("Jaheira")~ THEN EXTERN ~JAHEI25J~ 23
END

IF ~~ THEN BEGIN 5 // from: GORIMP01:7.2
  SAY #70420 /* ~Would that all my audiences were as patient as you!  There is little worse than hearing the shuffling of feet as the uncouth louts head for the exits while the performance is but a few hours old!~ */
  IF ~~ THEN EXTERN ~GORIMP01~ 8
  IF ~IsValidForPartyDialog("Imoen")~ THEN EXTERN ~IMOEN25J~ 23
END

IF ~~ THEN BEGIN 6 // from:
  SAY #70484 /* ~So... the brother joins us, unfettered?  A clever gamble, my raven.  Perhaps it will pay off, one can never foretell, hm?~ */
  IF ~True()~ THEN EXIT
  IF ~IsValidForPartyDialog("Keldorn")~ THEN EXTERN ~KELDO25J~ 5
END

IF ~~ THEN BEGIN 7 // from: GORDEMO:18.1
  SAY #70506 /* ~Aha!  We add deception upon deception, now.  So the plot thickens, my raven... I cannot wait to see what occurs, next.~ */
  IF ~True()~ THEN EXIT
  IF ~IsValidForPartyDialog("Jaheira")~ THEN EXTERN ~JAHEI25J~ 31
  IF ~IsValidForPartyDialog("Nalia")~ THEN EXTERN ~NALIA25J~ 8
  IF ~IsValidForPartyDialog("Aerie")~ THEN EXTERN ~AERIE25J~ 26
END

IF ~~ THEN BEGIN 8 // from:
  SAY #70510 /* ~Men die, as they always will, my dear.  Whether they die now at our word or elsewhere, without my own eyes to witness, it makes little difference.  Think of it what you will.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 9 // from: GORODR1:19.3
  SAY #70527 /* ~Hm?  The greater powers do not do anything themselves without great need.  Whatever is trapped here, it must be a fearsome foe, indeed.~ */
  IF ~~ THEN EXTERN ~GORODR1~ 20
END

IF ~~ THEN BEGIN 10 // from: GORCAMB:0.1
  SAY #70542 /* ~Not all of us be Primes, my fair Cambion.  Some of us be only visitors to this wondrous place.~ */
  IF ~~ THEN EXTERN ~GORCAMB~ 66
END

IF ~~ THEN BEGIN 11 // from: GORCAMB:66.0
  SAY #70544 /* ~And you remind me of a remarkably pleasant fellow named Aesgareth, so unlike the usual child of a fiend.  But my fellows would not know of you, of course.  Perhaps an introduction is in order?~ */
  IF ~~ THEN EXTERN ~GORCAMB~ 1
END

IF ~~ THEN BEGIN 12 // from: GORCAMB:17.3
  SAY #70549 /* ~Ah, yes.  Aesgareth is well-known amongst certain circles as being most fascinated in his gambling pursuits.  Above even interest in his own health, my raven...'tis a most unhealthy thing.~ */
  IF ~~ THEN EXTERN ~GORCAMB~ 18
END

IF ~~ THEN BEGIN 13 // from: HGNYA01:29.4
  SAY #70559 /* ~Well, there's a bit of irony for you, my raven.  We return her lost heart, and with it she rediscovers love for her traitorous son.  I'd weep at the sentiment... if, ah, we weren't about to cross swords...~ */
  IF ~~ THEN EXTERN ~HGNYA01~ 30
END

IF ~~ THEN BEGIN 14 // from:
  SAY #71313 /* ~Ah, what tragedies war brings!  This fair white dove must sully herself to survive these bitter times.~ */
  IF ~~ THEN EXTERN ~SARPRO01~ 2
END

IF ~~ THEN BEGIN 15 // from:
  SAY #71626 /* ~You are too kind, dear poet.  Would that I had the time, it would suit my fancy to join you in your quest to record <CHARNAME>'s tale.  Ahhh, what wonders it has already encompassed!  Perhaps I will yet have the chance to relate them to you, one day, yes?~ */
  IF ~~ THEN EXTERN ~SARVOLO~ 9
END
